Subject: bug#77961: 31.0.50; Rendering HTML email is very slow since commit #eab14d68b2e72b9a6b8b0cc67c9667c2bfbed4f5

From: Ihor Radchenko <[email-masked]>
Date: Tue, 22 Apr 2025 06:30:36 +0000

Gerd Möllmann <[email-masked]> writes:
>>>> I attach a profiler output, and a HTML file which causes a similar
>>>> slowdown when opening from eww.
>
> I'm afraid I don't see much in the profile. Only thing is that that
> redisplay_internal isn't called often. Which makes it even weirder that
> glyph matrix enlargement should play a role.

Looking into reverse call tree (B), I see that

        1874  33% + set-window-configuration

takes 1/3 of CPU cycles. Looking into its source, it does deal with
glyph matrices. So, it is the suspect, judging from the submitted
profiler report.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>